WhatsApp Meta agent
Update Meta agent UI skill
Change the title, the status or the instruction. The component type and the Flow are fixed.
PATCH
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
meta-agent
/
ui-skills
/
{ui_skill_id}
Update Meta agent UI skill
curl --request PATCH \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/ui-skills/{ui_skill_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"instruction": "<string>"
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/ui-skills/{ui_skill_id}"
payload = {
"title": "<string>",
"instruction": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', instruction: '<string>'})
};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/ui-skills/{ui_skill_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"component_type": "carousel_quick_reply",
"status": "enabled",
"instruction": "<string>",
"flow_id": 123,
"created_at": "<string>",
"updated_at": "<string>"
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
The ID of the WhatsApp phone number the Meta agent runs on
The ID of the UI skill
Body
application/jsonmultipart/form-data
Response
200 - application/json
Available options:
carousel_quick_reply, carousel_url, cta_url, flow, image, interactive_list, interactive_reply_buttons, location, location_request Available options:
enabled, disabled Was this page helpful?
⌘I
Update Meta agent UI skill
